Bug 1014478 - Patch need for GLPI
Patch need for GLPI
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: php-ZendFramework2 (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Remi Collet
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-02 03:48 EDT by Remi Collet
Modified: 2013-11-30 21:49 EST (History)
1 user (show)

See Also:
Fixed In Version: php-ZendFramework2-2.2.5-2.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-23 22:44:28 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch from GLPI for plural translation (1.52 KB, patch)
2013-10-02 03:51 EDT, Remi Collet
no flags Details | Diff

  None (edit)
Description Remi Collet 2013-10-02 03:48:52 EDT
There is annoying bug in Zend\I18n.

When a string have a no plural in some language, example:
In English: Software
In Franch:  Logiciel / Logiciels

In such case, the translation is not returned.

Originally reported as http://framework.zend.com/issues/browse/ZF-11974 (never get answer from upstream).

Please consider to apply the attached patch to the Fedora RPM.

Notice : I plan to update GLPI 0.84.2 which use system ZF2 soon in Fedora >= 20.

(of course, I can also apply it myself, but I want a tracker and your approval, and perhaps you have better realation with upstream to raise their attention on this issue)
Comment 1 Remi Collet 2013-10-02 03:51:14 EDT
Created attachment 806293 [details]
Patch from GLPI for plural translation
Comment 2 Remi Collet 2013-10-05 03:25:31 EDT
Patch applied in release -2
Comment 3 Fedora Update System 2013-10-20 17:04:24 EDT
php-ZendFramework2-2.2.4-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/FEDORA-2013-17927/php-ZendFramework2-2.2.4-2.fc20
Comment 4 Fedora Update System 2013-10-21 14:30:18 EDT
Package php-ZendFramework2-2.2.4-2.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing php-ZendFramework2-2.2.4-2.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-17927/php-ZendFramework2-2.2.4-2.fc20
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2013-11-10 15:46:26 EST
php-ZendFramework2-2.2.5-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/php-ZendFramework2-2.2.5-1.fc20
Comment 6 Fedora Update System 2013-11-10 15:46:40 EST
php-ZendFramework2-2.2.5-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/php-ZendFramework2-2.2.5-1.el6
Comment 7 Fedora Update System 2013-11-10 15:46:54 EST
php-ZendFramework2-2.2.5-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/php-ZendFramework2-2.2.5-1.fc19
Comment 8 Fedora Update System 2013-11-23 22:44:28 EST
php-ZendFramework2-2.2.5-2.fc20 has been pushed to the Fedora 20 stable repository.
Comment 9 Fedora Update System 2013-11-30 21:49:46 EST
php-ZendFramework2-2.2.5-2.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.